name: Build tests

on:
  pull_request:
    branches:
      - release-25.11

jobs:
  build-hosts:
    runs-on: runner
    steps:
      - name: Checkout repository
        uses: actions/checkout@v4

      - name: Build NixOS server config
        run: nix build -L .#nixosConfigurations.nixos-server.config.system.build.toplevel

      - name: Build NixOS client config
        run: nix build -L .#nixosConfigurations.nixos-hyprland.config.system.build.toplevel

      - name: Build Home Manager config w/ Hyprland
        run: nix build -L .#homeConfigurations.hm-hyprland.activationPackage
